<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/moviegallery/moviegallery.index.php
Version=140
Updated=2006-may-05
Type=Plugin.extended
Author=Alexander
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=moviegallery
Part=Index
File=moviegallery.index
Hooks=index.tags
Tags=index.tpl:{PLUG_MOVIE_LATESTMOVIES}
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if ( !defined('SED_CODE') ) { die("Wrong URL."); }

/* ============ MASKS FOR THE HTML OUTPUTS =========== */
$cfg['plu_mask_movies'] = "%1\$s"." ("."%2\$s".")<br />";
// %1\$s = Link to the Title
// %2\$s = Author

$plu_empty = $L['None']."<br />";
	
	
function sed_get_latestmovies($limit, $mask)
{
        global $L, $cfg;

        $sql5 = sed_sql_query("SELECT * FROM sed_moviegallery WHERE movie_state=0 ORDER by movie_id DESC LIMIT $limit");

        while ($row = sed_sql_fetcharray($sql5)) 
        {
                $mg = "<a href=\"plug.php?e=moviegallery&amp;mg_id=".$row['movie_id']."\">".sed_cc(sed_cutstring(stripslashes($row['movie_title']), 36))."</a>";
                $res .= sprintf($mask, $mg, sed_cc($row['movie_author']));
        }

        $res = (empty($res)) ? $plu_empty : $res;

        return($res);
}

/* ============= */

if (!$latestmovies && $cfg['plugin']['moviegallery']['movie_admin_index']>0)
        {
        $latestmovies = sed_get_latestmovies($cfg['plugin']['moviegallery']['movie_admin_index'], $cfg['plu_mask_movies'] );
        sed_cache_store('latestmovies', $latestmovies, 120);
        }

$t-> assign(array(
        "PLUG_MOVIE_LATESTMOVIES" => $latestmovies,
        ));
?>