<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=pluginsmoviegallery/moviegallery.php
Version=140
Updated=2006-may-05
Type=Plugin.extended
Author=Alexander
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=moviegallery
Part=Movie Gallery
File=moviegallery
Hooks=standalone
Tags=
Order=10
[END_SED_EXTPLUGIN]

==================== */

if ( !defined('SED_CODE') OR !defined('SED_PLUG') ) { die("Wrong URL."); }

$db_moviegallery = "sed_moviegallery";
list($usr['auth_read'], $usr['auth_write'], $usr['isadmin']) = sed_auth('plug', 'moviegallery');

$mg_id = sed_import('mg_id','G','INT');
$mg_editid = sed_import('mg_editid','G','INT');
// filter
$mg_f = sed_import('mg_f','G','TXT');
$mg_p = sed_import('mg_p','G','TXT');
// sorting
$mg_s = sed_import('mg_s','G','TXT');
$w = sed_import('mg_w','G','TXT');
// action
$mg_m = sed_import('mg_m','G','ALP');
$mg_a = sed_import('mg_a','G','ALP');

$mg_m = ($mg_id>0) ? 'movieview' : $mg_m;

switch($mg_m)
        {
        /* ==================================== */
        case 'movieview':
        /* ==================================== */

        sed_block($usr['auth_read']);
        
        $sql= sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_id='$mg_id' LIMIT 1");
        while ( $row = sed_sql_fetcharray($sql)) {
                if ( $usr['isadmin'] )
                {
                        $id = $row['movie_id'];
                        $t-> assign(array(
                             "MOVIE_VIEW_EDIT" => "<a href=\"plug.php?e=moviegallery&amp;mg_editid=".$row['movie_id']."&amp;mg_m=movieedit\">".$L['plug_mg_edit']."</a>",
                             "MOVIE_VIEW_DEL" => $L['plug_mg_del'].": [<a href=\"plug.php?e=moviegallery&amp;mg_editid=".$row['movie_id']."&amp;mg_m=moviedel\">x</a>]"
                             ));
                        $t->parse("MAIN.VIEW.ADMIN");
                }

                $item_code = 'mg'.$row['movie_id'];

					 $moviepage_url="plug.php?e=moviegallery&mg_id=".$row['movie_id'];
                list($comments_link, $comments_display) = sed_build_comments($item_code,$moviepage_url,$comments);
                list($ratings_link, $ratings_display) = sed_build_ratings($item_code, $moviepage_url, $ratings);

					 if ( !empty($row['movie_trailer']) )
                {
                        $t-> assign(array(
                             "MOVIE_VIEW_TRAILER" => "<a href=\"".$row['movie_trailer']."\" target=\"_blank\"><img border=\"0\" src=\"plugins/moviegallery/img/video.jpg\" width=\"53\" height=\"23\"></a>"
                             ));
                        $t->parse("MAIN.VIEW.TRAILER");
                }
                
                $row['movie_hits']++;
		$sqlhits = sed_sql_query("UPDATE $db_moviegallery SET movie_hits='".$row['movie_hits']."' WHERE movie_id='".$row['movie_id']."'");
                
                $t-> assign(array(
                     "MOVIE_VIEW_BACK" => "<a href=\"plug.php?e=moviegallery&amp;mg_s=".$s."&amp;mg_w=".$w."&amp;mg_f=".$f."\">".$L['plug_mg_back']."</a>",
                     "MOVIE_VIEW_ID" => $row['movie_id'],
                     "MOVIE_VIEW_TITLE" => $row['movie_title'],
                     "MOVIE_VIEW_AUTHOR" => $row['movie_author'],
                     "MOVIE_VIEW_AGE" => $row['movie_age'],
                     "MOVIE_VIEW_PICTURE" => $row['movie_picture'],
                     "MOVIE_VIEW_DATE" => $row['movie_date'],
                     "MOVIE_VIEW_CAT" => $row['movie_cat'],
                     "MOVIE_VIEW_TEXT" => sed_parse($row['movie_desc'], $cfg['parsebbcodepages'], $cfg['parsesmiliespages'], 1),
                     "MOVIE_VIEW_TIME" => $row['movie_time'],
                     "MOVIE_VIEW_HITS" => $row['movie_hits'],
                     "MOVIE_TXT_MOVIE" => $L['plug_mg_movie'],
                     "MOVIE_TXT_TITLE" => $L['plug_mg_title'],
                     "MOVIE_TXT_AUTHOR" => $L['plug_mg_author'],
                     "MOVIE_TXT_AGE" => $L['plug_mg_age'],
                     "MOVIE_TXT_DATE" => $L['plug_mg_date'],
                     "MOVIE_TXT_CAT" => $L['plug_mg_cat'],
                     "MOVIE_TXT_TEXT" => $L['plug_mg_text'],
                     "MOVIE_TXT_RATING" => $L['plug_mg_rating'],
                     "MOVIE_TXT_COMMENT" => $L['plug_mg_comment'],
                     "MOVIE_TXT_TIME" => $L['plug_mg_time'],
                     "MOVIE_TXT_HITS" => $L['plug_mg_hits'],
                     "MOVIE_VIEW_COMMENTS" => $comments_link,
                     "MOVIE_VIEW_COMMENTS_DISPLAY" => $comments_display,
                     "MOVIE_VIEW_RATINGS" => $ratings_link,
                     "MOVIE_VIEW_RATINGS_DISPLAY" => $ratings_display
                     ));
        $t->parse("MAIN.VIEW");
        }
        break;

        // ========================
        case 'moviedel':
        // ========================
 
        sed_block($usr['isadmin']);

        $item_code = 'mg'.$mg_editid;
        
        $sql = sed_sql_query("DELETE FROM $db_moviegallery WHERE movie_id=$mg_editid ");
        $sql = sed_sql_query("DELETE FROM $db_ratings WHERE rating_code='$item_code'");
		  $sql = sed_sql_query("DELETE FROM $db_rated WHERE rated_code='$item_code'");
		  $sql = sed_sql_query("DELETE FROM $db_com WHERE com_code='$item_code'");
		  sed_log("Deleted movie #".$mg_editid,'adm');
		  		
        header("Location: plug.php?e=moviegallery");
        break;
        
        // ========================
        case 'movieadd':
        // ========================

        sed_block($usr['auth_write']);

        if( $mg_a == 'add' )
        {
                $nmovie_id = sed_import('nmovie_id','P','INT');
                $nmovie_title = sed_import('nmovie_title','P','TXT');
                $nmovie_author = sed_import('nmovie_author','P','TXT');
                $nmovie_age = sed_import('nmovie_age','P','INT');
                $nmovie_length = sed_import('nmovie_length','P','INT');
                $nmovie_picture = sed_import('nmovie_picture','P','TXT');
                $nmovie_picture = sed_bbcode_urls($nmovie_picture);
                $nmovie_trailer = sed_import('nmovie_trailer','P','TXT');
                $nmovie_date = sed_import('nmovie_date','P','TXT');
                $nmovie_cat = sed_import('nmovie_cat','P','TXT');
                $nmovie_desc = trim(sed_import('nmovie_desc','P','HTM'));
                $nmovie_time = sed_import('nmovie_time','P','INT');
                $nmovie_hits = sed_import('nmovie_hits','P','INT');

					 if( empty($nmovie_picture) )
					 {
					 		$nmovie_picture = "plugins/moviegallery/img/nopicture.jpg";
                }
                
                $sql = sed_sql_query("INSERT INTO $db_moviegallery 
					(movie_id, 
					movie_state, 
					movie_title, 
					movie_author, 
					movie_age, 
					movie_picture,
					movie_trailer, 
					movie_date, 
					movie_cat, 
					movie_desc, 
					movie_time,
					movie_hits ) 
					VALUES 
					('$nmovie_id','1',
					'".sed_sql_prep($nmovie_title)."',
					'".sed_sql_prep($nmovie_author)."',
					".(int)$nmovie_age.",
					'".sed_sql_prep($nmovie_picture)."',
					'".sed_sql_prep($nmovie_trailer)."',
					'".sed_sql_prep($nmovie_date)."',
					'".sed_sql_prep($nmovie_cat)."',
					'".sed_sql_prep($nmovie_desc)."',
					".(int)$nmovie_time.",
					".(int)$nmovie_hits.") ");

                header("Location: message.php?msg=300");
                exit;
        }

        $bbcodes = ($cfg['parsebbcodepages']) ? sed_build_bbcodes("newmovie","nmovie_desc",$L['BBcodes']) : '';
        $smilies = ($cfg['parsesmiliespages']) ? sed_build_smilies("newmovie","nmovie_desc",$L['Smilies']) : '';
        $pfs = sed_build_pfs($usr['id'], "newmovie","nmovie_desc",$L['Mypfs']);
        $pfs_form_pix_myfiles = (!$cfg['disablepfs']) ? sed_build_pfs($usr['id'], "newmovie", "nmovie_picture", $L['Mypfs']) : '';
	$pfs_form_trl_myfiles = (!$cfg['disablepfs']) ? sed_build_pfs($usr['id'], "newmovie", "nmovie_trailer", $L['Mypfs']) : '';

        $nmovie_desc = sed_cc($nmovie_desc);

        //Textboxer 2 integration

        require_once("plugins/textboxer2/inc/textboxer2.lang.php");
        require_once("plugins/textboxer2/inc/textboxer2.inc.php");

        $tb2DropdownIcons = array(-1,49,1,7,10,15,19,23,35);
        $tb2MaxSmilieDropdownHeight = 300;         // Height in px for smilie dropdown
        $tb2InitialSmilieLimit = 20;                // Smilies loaded by default to dropdown
        $tb2TextareaRows = 16;                                // Rows of the textarea

        $tb2ParseBBcodes = $bbcodes;
        $tb2ParseSmilies = $smilies;
        $tb2ParseBR = TRUE;

        $t->assign("MOVIEADD_FORM_TEXTBOXER",
            sed_textboxer2('nmovie_desc',
            'newmovie',
            $nmovie_desc,
            $tb2TextareaRows,
            $tb2TextareaCols,
            '',
            $tb2ParseBBcodes,
            $tb2ParseSmilies,
            $tb2ParseBR,
            $tb2Buttons,
            $tb2DropdownIcons,
            $tb2MaxSmilieDropdownHeight,
            $tb2InitialSmilieLimit).$pfs);

        // end Textboxer 2 integration

        $t->assign(array(
            "MOVIEADD_SUBTITLE" => $L['pluadd_subtitle'],
            "MOVIEADD_HOLDER" => $L['plug_mg_author'],
            "MOVIEADD_TITLE" => $L['plug_mg_title'],
            "MOVIEADD_TIME" => $L['plug_mg_time'],
            "MOVIEADD_PICTURE" => $L['plug_mg_picture'],
            "MOVIEADD_TRAILER" => $L['plug_mg_trailer'],
            "MOVIEADD_CAT" => $L['plug_mg_cat'],
            "MOVIEADD_AGE" => $L['plug_mg_age'],
            "MOVIEADD_SEEN" => $L['plug_mg_date'],
            "MOVIEADD_TEXT" => $L['plug_mg_text'],
            "MOVIEADD_HITS" => $L['plug_mg_hits'],
            "MOVIEADD_FORM_SEND" => "plug.php?e=moviegallery&amp;mg_m=movieadd&amp;mg_a=add",
            "MOVIEADD_FORM_HOLDER" => "<input type=\"text\" class=\"text\" name=\"nmovie_author\" value=\"".sed_cc($nmovie_author)."\" size=\"56\" maxlength=\"56\" />",
            "MOVIEADD_FORM_TITLE" => "<input type=\"text\" class=\"text\" name=\"nmovie_title\" value=\"".sed_cc($nmovie_title)."\" size=\"56\" maxlength=\"255\" />",
            "MOVIEADD_FORM_PICTURE" => "<input type=\"text\" class=\"text\" name=\"nmovie_picture\" value=\"".sed_cc($nmovie_picture)."\" size=\"56\" maxlength=\"255\" /> ".$pfs_form_pix_myfiles,
            "MOVIEADD_FORM_TRAILER" => "<input type=\"text\" class=\"text\" name=\"nmovie_trailer\" value=\"".sed_cc($nmovie_trailer)."\" size=\"56\" maxlength=\"255\" /> ".$pfs_form_trl_myfiles,
            "MOVIEADD_FORM_CAT" => "<select name=\"nmovie_cat\">
                                              <option value=\"$movie_cat\">".sed_cc($nmovie_cat)."</option>
                                              <option value=\"Abenteuer\">Abenteuer</option>
                                              <option value=\"Action\">Action</option>
                                              <option value=\"Comedy\">Comedy</option>
                                              <option value=\"Drama\">Drama</option>
                                              <option value=\"Familie\">Familie</option>
                                              <option value=\"Fantasy\">Fantasy</option>
                                              <option value=\"Horror\">Horror</option>
                                              <option value=\"Krieg\">Krieg</option>
                                              <option value=\"Martial Arts\">Martial Arts</option>
                                              <option value=\"Musik\">Musik</option>
                                              <option value=\"Romanze\">Romanze</option>
                                              <option value=\"Science-Fiction\">Science-Fiction</option>
                                              <option value=\"Thriller\">Thriller</option>
                                              <option value=\"Sonstiges\">Sonstiges</option>
                                     </select>",
            "MOVIEADD_FORM_AGE" => "<select name=\"nmovie_age\">
                                              <option value=\"$movie_age\">".sed_cc($nmovie_age)."</option>
                                              <option value=\"6\">6</option>
                                              <option value=\"12\">12</option>
                                              <option value=\"16\">16</option>
                                              <option value=\"18\">18</option>
                                     </select>",
            "MOVIEADD_FORM_SEEN" => "<input type=\"text\" class=\"text\" name=\"nmovie_date\" value=\"".sed_cc($nmovie_date)."\" size=\"56\" maxlength=\"255\" />",
            ));

        $t->parse("MAIN.ADD");
        break;

        // ========================
        case 'movieedit':
        // ========================

        sed_block($usr['isadmin']);

        if( $mg_a == 'update' )
        {
                $rmovie_id = sed_import('rmovie_id','P','INT');
                $rmovie_title = sed_import('rmovie_title','P','TXT');
                $rmovie_author = sed_import('rmovie_author','P','TXT');
                $rmovie_age = sed_import('rmovie_age','P','INT');
                $rmovie_length = sed_import('rmovie_length','P','INT');
                $rmovie_picture = sed_import('rmovie_picture','P','TXT');
                $rmovie_picture = sed_bbcode_urls($rmovie_picture);
                $rmovie_trailer = sed_import('rmovie_trailer','P','TXT');
                $rmovie_date = sed_import('rmovie_date','P','TXT');
                $rmovie_cat = sed_import('rmovie_cat','P','TXT');
                $rmovie_desc = trim(sed_import('rmovie_desc','P','HTM'));
                $rmovie_time = sed_import('rmovie_time','P','INT');
                $rmovie_hits = sed_import('rmovie_hits','P','INT');

                $sql = sed_sql_query("UPDATE $db_moviegallery SET 
				movie_id='$rmovie_id', 
				movie_state='0', 
				movie_title='".sed_sql_prep($rmovie_title)."', 
				movie_author='".sed_sql_prep($rmovie_author)."', 
				movie_age='$rmovie_age', 
				movie_picture='".sed_sql_prep($rmovie_picture)."', 
				movie_trailer='".sed_sql_prep($rmovie_trailer)."', 
				movie_date='".sed_sql_prep($rmovie_date)."', 
				movie_cat='".sed_sql_prep($rmovie_cat)."', 
				movie_desc='".sed_sql_prep($rmovie_desc)."', 
				movie_time='$rmovie_time',
				movie_hits='$rmovie_hits'
				WHERE  movie_id='$mg_editid' " );

                header("Location: plug.php?e=moviegallery&mg_s=title&mg_w=asc&mg_f=all&mg_id=".$mg_editid."");
                exit;
        }


        $sql= sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_id='$mg_editid' LIMIT 1");
        $row = sed_sql_fetcharray($sql);

        $bbcodes = ($cfg['parsebbcodepages']) ? sed_build_bbcodes("editmovie","rmovie_desc",$L['BBcodes']) : '';
        $smilies = ($cfg['parsesmiliespages']) ? sed_build_smilies("editmovie","rmovie_desc",$L['Smilies']) : '';
        $pfs = sed_build_pfs($usr['id'], "editmovie","rmovie_desc",$L['Mypfs']);
        $pfs_form_pix_myfiles = (!$cfg['disablepfs']) ? sed_build_pfs($usr['id'], "editmovie", "rmovie_picture", $L['Mypfs']) : '';
	$pfs_form_trl_myfiles = (!$cfg['disablepfs']) ? sed_build_pfs($usr['id'], "editmovie", "rmovie_trailer", $L['Mypfs']) : '';

        //Textboxer 2 integration

        require_once("plugins/textboxer2/inc/textboxer2.lang.php");
        require_once("plugins/textboxer2/inc/textboxer2.inc.php");

        $tb2DropdownIcons = array(-1,49,1,7,10,15,19,23,35);
        $tb2MaxSmilieDropdownHeight = 300;         // Height in px for smilie dropdown
        $tb2InitialSmilieLimit = 20;                // Smilies loaded by default to dropdown
        $tb2TextareaRows = 16;                                // Rows of the textarea

        $tb2ParseBBcodes = $bbcodes;
        $tb2ParseSmilies = $smilies;
        $tb2ParseBR = TRUE;

        $t->assign("MOVIEEDIT_FORM_TEXTBOXER",
            sed_textboxer2('rmovie_desc',
            'editmovie',
            $row['movie_desc'],
            $tb2TextareaRows,
            $tb2TextareaCols,
            '',
            $tb2ParseBBcodes,
            $tb2ParseSmilies,
            $tb2ParseBR,
            $tb2Buttons,
            $tb2DropdownIcons,
            $tb2MaxSmilieDropdownHeight,
            $tb2InitialSmilieLimit).$pfs);

        // end Textboxer 2 integration

        $t->assign(array(
            "MOVIEEDIT_SUBTITLE" => $L['pluedit_subtitle'],
            "MOVIEEDIT_ID" => $L['plug_mg_id'],
            "MOVIEEDIT_AUTHOR" => $L['plug_mg_author'],
            "MOVIEEDIT_TITLE" => $L['plug_mg_title'],
            "MOVIEEDIT_TIME" => $L['plug_mg_time'],
            "MOVIEEDIT_PICTURE" => $L['plug_mg_picture'],
            "MOVIEEDIT_TRAILER" => $L['plug_mg_trailer'],
            "MOVIEEDIT_CAT" => $L['plug_mg_cat'],
            "MOVIEEDIT_AGE" => $L['plug_mg_age'],
            "MOVIEEDIT_DATE" => $L['plug_mg_date'],
            "MOVIEEDIT_TEXT" => $L['plug_mg_text'],
            "MOVIEEDIT_HITS" => $L['plug_mg_hits'],
            "MOVIE_EDIT_PICTURE" => $row['movie_picture'],
            "MOVIEEDIT_FORM_SEND" => "plug.php?e=moviegallery&amp;mg_m=movieedit&amp;mg_a=update&amp;mg_editid=".$row['movie_id']."",
            "MOVIEEDIT_FORM_ID" => "<input type=\"text\" class=\"text\" name=\"rmovie_id\" value=\"".sed_cc($row['movie_id'])."\" size=\"11\" maxlength=\"11\" />",
            "MOVIEEDIT_FORM_AUTHOR" => "<input type=\"text\" class=\"text\" name=\"rmovie_author\" value=\"".sed_cc($row['movie_author'])."\" size=\"56\" maxlength=\"56\" />",
            "MOVIEEDIT_FORM_TITLE" => "<input type=\"text\" class=\"text\" name=\"rmovie_title\" value=\"".sed_cc($row['movie_title'])."\" size=\"56\" maxlength=\"255\" />",
            "MOVIEEDIT_FORM_PICTURE" => "<input type=\"text\" class=\"text\" name=\"rmovie_picture\" value=\"".sed_cc($row['movie_picture'])."\" size=\"56\" maxlength=\"255\" /> ".$pfs_form_pix_myfiles,
            "MOVIEEDIT_FORM_TRAILER" => "<input type=\"text\" class=\"text\" name=\"rmovie_trailer\" value=\"".sed_cc($row['movie_trailer'])."\" size=\"56\" maxlength=\"255\" /> ".$pfs_form_trl_myfiles,
            "MOVIEEDIT_FORM_CAT" => "<select name=\"rmovie_cat\">
                                              <option value=\"".$row['movie_cat']."\">".sed_cc($row['movie_cat'])."</option>
                                              <option value=\"Abenteuer\">Abenteuer</option>
                                              <option value=\"Action\">Action</option>
                                              <option value=\"Comedy\">Comedy</option>
                                              <option value=\"Drama\">Drama</option>
                                              <option value=\"Familie\">Familie</option>
                                              <option value=\"Fantasy\">Fantasy</option>
                                              <option value=\"Horror\">Horror</option>
                                              <option value=\"Krieg\">Krieg</option>
                                              <option value=\"Martial Arts\">Martial Arts</option>
                                              <option value=\"Musik\">Musik</option>
                                              <option value=\"Romanze\">Romanze</option>
                                              <option value=\"Science-Fiction\">Science-Fiction</option>
                                              <option value=\"Thriller\">Thriller</option>
                                              <option value=\"Sonstiges\">Sonstiges</option>
                                     </select>",
            "MOVIEEDIT_FORM_AGE" => "<select name=\"rmovie_age\">
                                              <option value=\"".$row['movie_age']."\">".sed_cc($row['movie_age'])."</option>
                                              <option value=\"6\">6</option>
                                              <option value=\"12\">12</option>
                                              <option value=\"16\">16</option>
                                              <option value=\"18\">18</option>
                                     </select>",
            "MOVIEEDIT_FORM_DATE" => "<input type=\"text\" class=\"text\" name=\"rmovie_date\" value=\"".sed_cc($row['movie_date'])."\" size=\"56\" maxlength=\"255\" />",
            "MOVIEEDIT_FORM_TIME" => "<input type=\"text\" class=\"text\" name=\"rmovie_time\" value=\"".sed_cc($row['movie_time'])."\" size=\"52\" maxlength=\"255\" />",
             "MOVIEEDIT_FORM_HITS" => "<input type=\"text\" class=\"text\" name=\"rmovie_hits\" value=\"".sed_cc($row['movie_hits'])."\" size=\"11\" maxlength=\"8\" />",
             ));

        $t->parse("MAIN.EDIT");
        break;

        /* ==================================== */
        case 'moviequeue':
        /* ==================================== */

        sed_block($usr['isadmin']);

        if($mg_a == 'validate')
        {
                $sql = sed_sql_query("UPDATE $db_moviegallery SET movie_state=0 WHERE movie_id='$mg_editid' ");
                sed_cache_clear('latestmovies');
                header("Location: plug.php?e=moviegallery&mg_m=moviequeue");
        }
        else
        {
                $sql = sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_state=1 ORDER by movie_title ASC ");
                while ( $row = sed_sql_fetcharray($sql))
                {
                        $t-> assign(array(
                             "MOVIE_QUEUE_EDIT" => "<a href=\"plug.php?e=moviegallery&amp;mg_editid=".$row['movie_id']."&amp;mg_m=movieedit\">".$L['plug_mg_edit']."</a>",
                             "MOVIE_QUEUE_VALID" => "<a href=\"plug.php?e=moviegallery&amp;mg_editid=".$row['movie_id']."&amp;mg_m=moviequeue&amp;mg_a=validate\">".$L['plug_mg_valid']."</a>",
                             "MOVIE_QUEUE_DEL" => "[<a href=\"plug.php?e=moviegallery&amp;mg_editid=".$row['movie_id']."&amp;mg_m=moviedel\">x</a>]",
                             "MOVIE_QUEUE_ID" => $row['movie_id'],
                             "MOVIE_QUEUE_TITLE" => $row['movie_title'],
                             "MOVIE_QUEUE_AUTHOR" => $row['movie_author'],
                             "MOVIE_QUEUE_AGE" => $row['movie_age'],
                             "MOVIE_QUEUE_PICTURE" => $row['movie_picture'],
                             "MOVIE_QUEUE_TRAILER" => $row['movie_trailer'],
                             "MOVIE_QUEUE_DATE" => $row['movie_date'],
                             "MOVIE_QUEUE_CAT" => $row['movie_cat'],
                             "MOVIE_QUEUE_TEXT" => $row['movie_desc'],
                             "MOVIE_QUEUE_TIME" => $row['movie_time'],
                             "MOVIE_QUEUE_TXT_MOVIE" => $L['plug_mg_movie'],
                             "MOVIE_QUEUE_TXT_TITLE" => $L['plug_mg_title'],
                             "MOVIE_QUEUE_TXT_AUTHOR" => $L['plug_mg_author'],
                             "MOVIE_QUEUE_TXT_AGE" => $L['plug_mg_age'],
                             "MOVIE_QUEUE_TXT_DATE" => $L['plug_mg_date'],
                             "MOVIE_QUEUE_TXT_CAT" => $L['plug_mg_cat'],
                             "MOVIE_QUEUE_TXT_TEXT" => $L['plug_mg_text'],
                             "MOVIE_QUEUE_TXT_RATING" => $L['plug_mg_rating'],
                             "MOVIE_QUEUE_TXT_PICTURE" => $L['plug_mg_picture'],
                             "MOVIE_QUEUE_TXT_TRAILER" => $L['plug_mg_trailer'],
                             "MOVIE_QUEUE_TXT_TIME" => $L['plug_mg_time']
                             ));
                        $t->parse("MAIN.QUEUE.ROW");
                }
                $t->parse("MAIN.QUEUE");
        }

        break;

        /* ==================================== */
        default:
        /* ==================================== */

           if (empty($mg_s)) { $mg_s = 'title'; }
           if (empty($mg_w)) { $mg_w = 'asc'; }
           if (empty($mg_f)) { $mg_f = 'all'; }

           if (sed_auth('plug', 'moviegallery', 'A'))
           {
                   if ($mg_f=='all')
                   {
                       $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery ");
                       $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                       $sql= sed_sql_query("SELECT * FROM $db_moviegallery ORDER BY movie_state DESC, 'movie_$mg_s' $mg_w");
                   }
                   elseif (strlen($mg_f)==1)
                   {
                           if ($mg_f=="_")
                           {
                                   $title .= $cfg['separator']." ".$L['use_byfirstletter']." '%'";
                                   $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery WHERE movie_title NOT REGEXP(\"^[a-zA-Z]\") ");
                                   $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                                   $sql = sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_title NOT REGEXP(\"^[a-zA-Z]\") AND movie_state='0' ORDER BY movie_$s $mg_w ");
                           }
                           else
                           {
                                   $ff = strtoupper($mg_f);
                                   $title .= $cfg['separator']." ".$L['use_byfirstletter']." '".$mg_f."'";
                                   $i = $ff."%";
                                   $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery WHERE movie_title LIKE '$i' ");
                                   $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                                   $sql = sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_title LIKE '$i' AND movie_state='0' ORDER BY movie_$mg_s $mg_w ");
                           }
                   }
           }
           else
           {
                   if ($mg_f=='all')
                   {
                       $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery ");
                       $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                       $sql= sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_state='0' ORDER BY 'movie_$mg_s' $mg_w ");
                   }
                   elseif (strlen($mg_f)==1)
                   {
                           if ($mg_f=="_")
                           {
                                   $title .= $cfg['separator']." ".$L['use_byfirstletter']." '%'";
                                   $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery WHERE movie_title NOT REGEXP(\"^[a-zA-Z]\") ");
                                   $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                                   $sql = sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_title NOT REGEXP(\"^[a-zA-Z]\") AND movie_state='0' ORDER BY movie_$mg_s $mg_w ");
                           }
                           else
                           {
                                   $ff = strtoupper($mg_f);
                                   $title .= $cfg['separator']." ".$L['use_byfirstletter']." '".$mg_f."'";
                                   $i = $ff."%";
                                   $sql = sed_sql_query("SELECT COUNT(*) FROM $db_moviegallery WHERE movie_title LIKE '$i' ");
                                   $totalmovies = sed_sql_result($sql, 0, "COUNT(*)");
                                   $sql = sed_sql_query("SELECT * FROM $db_moviegallery WHERE movie_title LIKE '$i' AND movie_state='0' ORDER BY movie_$mg_s $mg_w ");
                           }
                   }
           }

           $letterfilter = "".$L['Byfirstletter'].":";
           $letterfilter .= " <a href=\"plug.php?e=moviegallery&amp;mg_f=_\">%</a>";
           for ($i = 1; $i <= 26; $i++) {
              $j = chr($i+64);
              $letterfilter .= " <a href=\"plug.php?e=moviegallery&amp;mg_f=".$j."\">".$j."</a>";
           }
           $letterfilter .= " <a href=\"plug.php?e=moviegallery&amp;mg_f=all\">[no filter]</a>";


           $t->assign(array(
                      "MOVIE_TOP_ADD" => "<a href=\"plug.php?e=moviegallery&amp;mg_m=movieadd\">".$L['plug_mg_submit']."</a>",
                      "MOVIE_TOP_LETTERFILTER" => $letterfilter,
                      "MOVIE_TOP_TITLE" => $L['plug_mg_title']." <a href=\"plug.php?e=moviegallery&amp;mg_s=title&amp;mg_w=asc&amp;mg_f=".$f."\">$sed_img_down</a>
                                           <a href=\"plug.php?e=moviegallery&amp;mg_s=title&amp;mg_w=desc&amp;mg_f=".$f."\">$sed_img_up</a>",
                      "MOVIE_TOP_HITS" => $L['plug_mg_hits']."<br /><a href=\"plug.php?e=moviegallery&amp;mg_s=hits&amp;mg_w=asc&amp;mg_f=".$f."\">$sed_img_down</a>
                                           <a href=\"plug.php?e=moviegallery&amp;mg_s=hits&amp;mg_w=desc&amp;mg_f=".$f."\">$sed_img_up</a>",
                      "MOVIE_TOP_CAT" => $L['plug_mg_cat']."<br /><a href=\"plug.php?e=moviegallery&amp;mg_s=cat&amp;mg_w=asc&amp;mg_f=".$f."\">$sed_img_down</a>
                                           <a href=\"plug.php?e=moviegallery&amp;mg_s=cat&amp;mg_w=desc&amp;mg_f=".$f."\">$sed_img_up</a>",
                      "MOVIE_TOP_AGE" => $L['plug_mg_age']."<br /><a href=\"plug.php?e=moviegallery&amp;mg_s=age&amp;mg_w=asc&amp;mg_f=".$f."\">$sed_img_down</a>
                                           <a href=\"plug.php?e=moviegallery&amp;mg_s=age&amp;mg_w=desc&amp;mg_f=".$f."\">$sed_img_up</a>",
                      "MOVIE_TOP_AUTHOR" => $L['plug_mg_author']."<br /><a href=\"plug.php?e=moviegallery&amp;mg_s=author&amp;mg_w=asc&amp;mg_f=".$f."\">$sed_img_down</a>
                                           <a href=\"plug.php?e=moviegallery&amp;mg_s=author&amp;mg_w=desc&amp;mg_f=".$f."\">$sed_img_up</a>"
           ));

           while ( $row = sed_sql_fetcharray($sql)) {

                   $row['movie_state'] = ($row['movie_state']) ? ' (i)' : '';

                   $t-> assign(array(
                        "MOVIE_ID" => $row['movie_id'],
                        "MOVIE_ROW_URL" => "<a href=\"plug.php?e=moviegallery&amp;mg_s=".$s."&amp;mg_w=".$w."&amp;mg_f=".$f."&amp;mg_id=".$row['movie_id']."\">".$row['movie_title']."</a>",
                        "MOVIE_TITLE" => $row['movie_title'],
                        "MOVIE_STATE" => $row['movie_state'],
                        "MOVIE_AUTHOR" => $row['movie_author'],
                        "MOVIE_AGE" => $row['movie_age'],
                        "MOVIE_DATE" => $row['movie_date'],
                        "MOVIE_CAT" => $row['movie_cat'],
                        "MOVIE_TIME" => $row['movie_time'],
                         "MOVIE_HITS" => $row['movie_hits'],
                        "MOVIE_TOTALMOVIES" => $totalmovies,
                        "MOVIE_TOTALMOVIES_TXT" => $L['plug_mg_section_txt'],
                        "MOVIE_TXT_MOVIE" => $L['plug_mg_movie'],
                        "MOVIE_TXT_TITLE" => $L['plug_mg_title'],
                        "MOVIE_TXT_AUTHOR" => $L['plug_mg_author'],
                        "MOVIE_TXT_AGE" => $L['plug_mg_age'],
                        "MOVIE_TXT_DATE" => $L['plug_mg_date'],
                        "MOVIE_TXT_CAT" => $L['plug_mg_cat'],
                        "MOVIE_TXT_TEXT" => $L['plug_mg_text'],
                        "MOVIE_TXT_RATING" => $L['plug_mg_rating'],
                        "MOVIE_TXT_TIME" => $L['plug_mg_time'],
                        "MOVIE_TXT_HITS" => $L['plug_mg_hits'],
                   ));
                   $t->parse("MAIN.MOVIE.ROW");
           }
           $t->parse("MAIN.MOVIE");
           break;
}

?>